Package org.apache.lucene.util.bkd

## Class BKDRadixSelector.PathSlice

- java.lang.Object
- - org.apache.lucene.util.bkd.BKDRadixSelector.PathSlice

- Enclosing class:
    BKDRadixSelector

      public static final class BKDRadixSelector.PathSlice
      extends Object

  Sliced reference to points in an PointWriter.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `count` |
    `long` | `start` |
    `PointWriter` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PathSlice​(PointWriter writer, long start, long count)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### writer

          public final PointWriter writer

    - #### start

          public final long start

    - #### count

          public final long count

  - ### Constructor Detail

    - #### PathSlice

          public PathSlice​(PointWriter writer,
                           long start,
                           long count)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`